package com.bonus.sgzb.base.domain;

import com.bonus.sgzb.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

//@ApiModel(value="com.bonus.sgzb.base.domain.MaHouse")
public class MaHouse extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 仓库ID */
    @ApiModelProperty(value= "仓库ID")
    private Long houseId;

    @ApiModelProperty(value= "等级")
    private Integer level;

    /** 工程项目名称 */
    @ApiModelProperty(value="工程项目名称")
    private String houseName;

    /** 上级ID */
    @ApiModelProperty(value= "上级ID")
    private Long parentId;

    /** 帐号状态（0正常 1停用） */
    @ApiModelProperty(value= "帐号状态（0正常 1停用）")
    private String status;

    /** 所属上级 */
    @ApiModelProperty(value= "所属上级")
    private Long deptId;

    /** 删除标志（0代表存在 2代表删除） */
    @ApiModelProperty(value= "删除标志（0代表存在 2代表删除）")
    private String delFlag;

    /** 创建者 */
    @ApiModelProperty(value= "创建者")
    private String createBy;

    /** 创建时间 */
    @ApiModelProperty(value= "创建时间")
    private Date createTime;

    /** 更新者 */
    @ApiModelProperty(value= "更新者")
    private String updateBy;

    /** 更新时间 */
    @ApiModelProperty(value= "更新时间")
    private Date updateTime;

    /** 备注 */
    @ApiModelProperty(value= "备注")
    private String remark;

    /** 数据所属组织 */
    @ApiModelProperty(value= "数据所属组织")
    private String companyId;

    /** 联系人 */
    @ApiModelProperty(value= "联系人")
    private String concat;

    /** 联系电话 */
    @ApiModelProperty(value= "联系电话")
    private String phone;

    /** 数据所属组织 */
    @ApiModelProperty(value= "排序")
    private int sort;

    /** 子部门 */
    private List<MaHouse> children = new ArrayList<MaHouse>();

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Long getHouseId() {
        return houseId;
    }

    public void setHouseId(Long houseId) {
        this.houseId = houseId;
    }

    public String getHouseName() {
        return houseName;
    }

    public void setHouseName(String houseName) {
        this.houseName = houseName;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    @Override
    public String getCreateBy() {
        return createBy;
    }

    @Override
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String getUpdateBy() {
        return updateBy;
    }

    @Override
    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    @Override
    public Date getUpdateTime() {
        return updateTime;
    }

    @Override
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    public List<MaHouse> getChildren() {
        return children;
    }

    public void setChildren(List<MaHouse> children) {
        this.children = children;
    }

    public String getConcat() {
        return concat;
    }

    public void setConcat(String concat) {
        this.concat = concat;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
